Variants Biosamples
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/biosamplesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/biosamples"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/biosamples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"label": "<string>",
"method": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"variant": "<string>",
"biosample": "<string>",
"genomic_element": "<string>",
"strand": "<string>",
"log2FC": 123,
"DNA_count_ref": 123,
"DNA_count_alt": 123,
"RNA_count_ref": 123,
"RNA_count_alt": 123,
"postProbEffect": 123,
"CI_lower_95": 123,
"CI_upper_95": 123,
"significant": true,
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"class": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Variants Biosamples
Retrieve data from STARR-seq, BlueSTARR, and MPRA for a given variant.
At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, region, method, or files_fileset.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Examples by method
These examples are grouped by method; use the method filter to return data from a specific method.
MPRA:
query by variant identifier
- spdi = NC_000001.11:1000161:C:A
- method = MPRA
query by region
- region = chr1:1000160-1000163 (maximum length: 10kb)
- method = MPRA
STARR-seq:
query by variant identifier
- spdi = NC_000001.11:14772:C:T
- method = STARR-seq
query by region
- region = chr1:14771-14775 (maximum length: 10kb)
- method = STARR-seq
BlueSTARR:
query by variant identifier
- spdi = NC_000001.11:100003415:C:A
- method = BlueSTARR
query by region
- region = chr1:100003414-100003418 (maximum length: 10kb)
- method = BlueSTARR
Variants Biosamples
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/biosamplesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/biosamples"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/biosamples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"label": "<string>",
"method": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"variant": "<string>",
"biosample": "<string>",
"genomic_element": "<string>",
"strand": "<string>",
"log2FC": 123,
"DNA_count_ref": 123,
"DNA_count_alt": 123,
"RNA_count_ref": 123,
"RNA_count_alt": 123,
"postProbEffect": 123,
"CI_lower_95": 123,
"CI_upper_95": 123,
"significant": true,
"neg_log10_pvalue": 123,
"neg_log10_pvalue_adj": 123,
"class": "<string>",
"files_filesets": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
BlueSTARR, MPRA, STARR-seq Available options:
true, false Available options:
Homo sapiens Available options:
true, false Response
Successful response